Bug 1021806 - Classloader fails to resolve when annotation and declared class have the same name
Classloader fails to resolve when annotation and declared class have the same...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER5
: 6.0.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 03:10 EDT by Mario Fusco
Modified: 2014-08-06 16:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-251 Major Resolved Classloader fails to resolve when annotation and declared class have the same name 2013-12-12 12:18:00 EST

  None (edit)
Description Mario Fusco 2013-10-22 03:10:13 EDT
package test

declare Annot
fld : int @Annot
end

The packagebuilder type resolver will confuse the annotation with the declared class and throw exceptions (varies depending on optional import
statements)
Comment 3 Marek Winkler 2013-12-12 12:22:03 EST
Verified on BRMS 6.0.0 ER5.

Note You need to log in before you can comment on or make changes to this bug.